[Numpy-discussion] Numpy compilation error

Christopher Barker Chris.Barker@noaa....
Wed Apr 21 12:23:29 CDT 2010


David Cournapeau wrote:
> I don't think it is wise to advocate the use of develop for python
> newcomers.

Fair enough.

What I know is that every scheme I've come up with for working with my 
own under-development packages has been a pain in the #$@, and -develop 
has worked well for me.

> The easy and reliable solution for non root install is PYTHONPATH for
> python < 2.6 and install --user for python >= 2.6.

I hadn't read the thread carefully enough to realize that the OP was 
asking about a non-root install, but in any case, I'd still encourage 
that folks set ONE standard place in their PYTHONPATH, rather than one 
for each package, and make sure you're careful about running more than 
one version of Python.

-Chris




-- 
Christopher Barker, Ph.D.
Oceanographer

Emergency Response Division
NOAA/NOS/OR&R            (206) 526-6959   voice
7600 Sand Point Way NE   (206) 526-6329   fax
Seattle, WA  98115       (206) 526-6317   main reception

Chris.Barker@noaa.gov


More information about the NumPy-Discussion mailing list